SETTLE(1)

NAME
settle query - query the database

SYNOPSIS
settle {query|-Q} [OPTIONS]

DESCRIPTION
query the database

OPTIONS

-t, --title <REGEX>
    keep Zettel with a matching title

-p, --project <REGEX>
    keep Zettel that are in the matching projects

-g, --tag <REGEX>
    keep Zettel that have a matching tag name

-x, --text <REGEX>
    keep Zettel that contain some text

-l, --links <REGEX>
    keep Zettel that have links to the matching Zettel

-b, --backlinks <REGEX>
    keep Zettel that have links from the matching Zettel

-o, --loners
    keep Zettel that don't have any links to and fro

-f, --format <FORMAT>
    print formatted

-s, --link_sep <SEPARATOR>
    specify separator for links and backlinks in formatted output

--graph <GRAPH>
    turn the query results into a graph: 'dot', 'json' or 'vizk'

-e, --exact
    match everything exactly, disabling regex

-h, --help
    Print help